---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ .Release.Name }}-resif-data-reporter
spec:
  suspend: {{ .Values.resifDataReporter.enabled | not }}
  schedule: {{ .Values.resifDataReporter.cronjobSchedule }}
  concurrencyPolicy: Forbid
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          securityContext:
            fsGroup: 1500
            runAsUser: 1500
          containers:
          - name: resif-data-reporter
            image: gricad-registry.univ-grenoble-alpes.fr/osug/resif/resif_data_reporter/resif-data-reporter:{{ .Values.resifDataReporter.tag | default "master" }}
            envFrom:
              - secretRef:
                  name: {{ .Release.Name }}-resif-data-reporter
            volumeMounts:
              # This container expects a /config/config.yaml file
              - name: config
                mountPath: /config
              - name: bud
                mountPath: /mnt/bud
              - name: ph5
                mountPath: /mnt/ph5
          volumes:
            - name: config
              configMap:
                name: {{ .Release.Name }}-resif-data-reporter
                items:
                  # Create a config.yaml file from config
                  - key: config
                    path: config.yaml
            - name: bud
              persistentVolumeClaim:
                claimName: {{ .Values.resifDataReporter.budDataPvc }}
            - name: ph5
              persistentVolumeClaim:
                claimName: {{ .Values.resifDataReporter.nodesDataPvc }}
          restartPolicy: OnFailure
